> For the complete documentation index, see [llms.txt](https://docs.sonoransoftware.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sonoransoftware.com/radio/developer-documentation/developer-documentation/api-endpoints/users/set-member-display-names.md).

# Set Member Display Names

## Set Member Display Names

<mark style="color:green;">`POST`</mark> `/api/servers/:id/members/nicknames`

This endpoint updates one or more stored member display names in a community.

Use this endpoint to change how members appear in the community member list. To update the display name of a currently connected radio user, use [Set User Display Name](/radio/developer-documentation/developer-documentation/api-endpoints/users/set-user-display-name.md).

**Headers**

| Name         | Value              |
| ------------ | ------------------ |
| Content-Type | `application/json` |

**URL Parameters**

| Name | Type   | Description  |
| ---- | ------ | ------------ |
| `id` | string | Community ID |

**Body**

| Name           | Type         | Description       |
| -------------- | ------------ | ----------------- |
| `apiKey`       | string       | Community API key |
| `accNicknames` | object array | Members to update |

**`accNicknames` object**

| Name       | Type   | Description      |
| ---------- | ------ | ---------------- |
| `accId`    | string | Account UUID     |
| `nickname` | string | New display name |

**Example Body**

```json
{
  "apiKey": "your-community-api-key",
  "accNicknames": [
    {
      "accId": "91de0ce8-c571-11e9-9714-5600023b2434",
      "nickname": "Patrol 101"
    }
  ]
}
```

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "result": "ok"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sonoransoftware.com/radio/developer-documentation/developer-documentation/api-endpoints/users/set-member-display-names.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
